use std::env;

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let token = env::var("TOKEN").map_err(|_| "Set 'TOKEN' to an oauth token!")?;
    let email = env::var("EMAIL").map_err(|_| "Set 'EMAIL' to the email used for the token!")?;

    let auth_client = gpipipi::OAuthRequest::new(&token, &email);
    let new = auth_client.fetch().await?;
    println!("Your new AAS token is: \"{new}\", use it from now on!");

    Ok(())
}
